Summary: GNU g++ library
Name: libg++
Version: 2.8.0
Release: 1
Copyright: LGPL
Group: Libraries
Source: ftp://prep.ai.mit.edu/pub/gnu/libg++-2.8.0.tar.gz
Buildroot: /tmp/libg++-root

%changelog

* Thu Jan 15 1998 Jani Hakala <jahakala@cc.jyu.fi>

- updated to 2.8.0

* Tue Nov 04 1997 Erik Troan <ewt@redhat.com>

- hacked to build w/ -fPIC 
- fixed info file inclusion

* Mon Oct 13 1997 Donnie Barnes <djb@redhat.com>

- spec file cleanups

%description
This is the GNU implementation of the standard C++ libraries, along
with additional GNU tools.
This package includes the shared libraries necessary to run C++
applications.

%package devel
Summary: Header files and libraries for C++ development
Group: Development/Libraries
Requires: libg++
Prereq: /sbin/install-info

%description devel
This is the GNU implementation of the standard C++ libraries, along with
additional GNU tools.  The GNU C++ library, libg++ is an attempt to
provide a variety of C++ programming tools and other support to GNU C++
programmers. This package includes the header files and libraries needed
for C++ development. 

%prep
%setup -q -n libg++-2.8.0

%ifarch sparc
%patch2 -p1
%endif

%build

OS=`echo $RPM_OS | tr '[A-Z]' '[a-z]'`
./configure --prefix=/usr --with-shared --enable-shared ${RPM_ARCH}-redhat-${OS}-gnu
mv Makefile Makefile.djb
sed "s/^PIC.*=[ 	]*$/&-fPIC/" < Makefile.djb > Makefile
make
make info

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/usr/info $RPM_BUILD_ROOT/usr/lib
make prefix=$RPM_BUILD_ROOT/usr install
make prefix=$RPM_BUILD_ROOT/usr install-info

gzip -9fn $RPM_BUILD_ROOT/usr/info/*.info*

%ifarch i386
rm -rf $RPM_BUILD_ROOT/usr/i586-unknown-linux
%endif
%ifarch sparc
rm -rf $RPM_BUILD_ROOT/usr/sparc-unknown-linux
%endif
%ifarch alpha
rm -rf $RPM_BUILD_ROOT/usr/alpha-unknown-linux
%endif

%clean 
rm -fr $RPM_BUILD_ROOT

%post -p /sbin/ldconfig

%post devel
/sbin/install-info /usr/info/libg++.info.gz /usr/info/dir
/sbin/install-info /usr/info/iostream.info.gz /usr/info/dir

%postun -p /sbin/ldconfig

%preun devel
if [ $1 = 0 ]; then
    /sbin/install-info --delete /usr/info/libg++.info.gz /usr/info/dir
    /sbin/install-info --delete /usr/info/iostream.info.gz /usr/info/dir
fi

%files
/usr/lib/libstdc++.so.2.8
/usr/lib/libstdc++.so.2.8.0
/usr/lib/libg++.so.2.8
/usr/lib/libg++.so.2.8.0

%files devel
/usr/include/g++
/usr/lib/libstdc++.a
/usr/lib/libg++.a
/usr/bin/genclass
/usr/bin/gperf
/usr/man/man1/gperf.1
/usr/info/libg++.info*
/usr/info/iostream.info*
/usr/lib/libg++.so
/usr/lib/libstdc++.so

